obsoleted patch references in kernel patch README file

obsoleted patch references in kernel patch README file

Post by Richard L. Hamilt » Mon, 20 Mar 2006 17:59:39



I've complained about these before, but this time I kept the examples.
Here's those from the README for

118558-24 SunOS 5.9: Kernel Patch

with a little context (and comments in square brackets), but other stuff
that wasn't a problem removed.  What's obsoleted by what was per a
patchdiag.xref no more than a day or two old.  The reason these are all
annoying is because 118558-xx requires 112233-12 anyway, which obsoletes
all the patches below (a number of which are revs that were never even
created)  So all that stuff could be removed from the README, which would
be helpful for those of us who check the entire README to see that we have
all other applicable patches referenced already installed, not just those
on the required line.  Please clean this up, folks!

NOTE 4:  To get the complete Enchilada/Stiletto feature, please also install the
         install the following patches:

         113218-06 (or greater)  PCI support
[113218-08 obsoleted by 112233-07]
         114382-01 (or greater)  bge driver patch
[114382-01 obsoleted by 112233-07]
         114384-01 (or greater)  mc-us3i driver patch
[114384-02 obsoleted by 112233-07]

NOTE 7:  To get the complete Jaguar CPU Productization feature, please also
         install the following patches:

         112841-08 (or greater)  drmach (SF15K) patch
[112841-07 obsoleted by 112233-11]
         113489-05 (or greater)  sbd & sbdp patch
[113489-04 obsoleted by 112233-11]

NOTE 8:  To get the complete fix for bug 4729275 (Allow Crystal 2A
         to run  at 90MHZ/PCI-X on hsPCI+), please also install the
         following patch:

         113445-03 (or greater)  schpc patch
[113445-02 obsoleted by 112233-11]

NOTE 11: To get the complete fix for Sunfire V250 Enchilada Tower feature,
         please also install the following patches:

         113218-09 (or greater)  pcipsy patch
[113218-08 obsoleted by 112233-07]

--

Lasik/PRK theme music:
    "In the Hall of the Mountain King", from "Peer Gynt"

 
 
 

1. recommended patches require obsoleted patches!

Dear All,
Perhaps you've encountered similar problems:
When I used Sunscan and Patchdiag to scan our system, we have several
patches
recommended by Sunscan, BUT they require some patches which are
obsoleted
by new kernal patch. Now we can not patch them because we do not have
the
required patches, and we can not patch the required ones because they
are obsoleted!
We had to twick the pkginfo and pkgmap files for the patches to fool the
system so
it does not require those patches when install, but it's not a clean
solution (we will
have to mannually change the required patch names and checksums for the
pkgmap
file). Does anybody know whether there is a good way around this?

Thanks
Guang

2. simple -- who adds stuff to UDP hash?

3. patch manager analyze obsolete patches

4. Another sendmail problem - RH5.0

5. Please clean up patch README files!

6. Guru Review - Linux Hardware

7. Patches, patches and more patches

8. Can I put DOS as /dev/hdb with LILO ?

9. Patches Patches Patches

10. Patches, Patches, Patches

11. Patch LMS/Philips CD205/225/202 (driver is available as a kernel patch)

12. 2.4.20 + Supermount patch + Pre-empt patch = Kernel panic

13. [PATCH] patch's for vmware 2.0.4 for use with linux-2.4.8 kernel